IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_inactivarEquipo]') AND type in (N'P', N'PC'))
BEGIN
	execute('
		CREATE PROCEDURE [dbo].[act_inactivarEquipo] 
			@p_idEquipo int,
			@p_idConfigContrato int = 0
		AS
		BEGIN
	
			SET NOCOUNT ON;

			if @p_idConfigContrato = 0 --inactivar el equipo masivamente
			begin
				update cnt_configContrato set active = 0 where id_contratoEquipo in (select id from view_cnt_contratoEquipo where id_equipo = @p_idEquipo)
				update cnt_contratoEquipo set active = 0 where id in (select id from view_cnt_contratoEquipo where id_equipo = @p_idEquipo)
				delete from cnt_visitaFija where id_contratoEquipo in (select id from view_cnt_contratoEquipo where id_equipo = @p_idEquipo) and [id_documento.ot] = 0 
				update equ_equipo set id_estadoEquipo = (select id from equ_estadoEquipo where activo = 0 and active = 1) where id = @p_idEquipo
			end
			if @p_idConfigContrato > 0  --inactivar una configuración especial de un equipo en un contrato
			begin
				update cnt_configContrato set active = 0 where id = @p_idConfigContrato
				delete from cnt_visitaFija where id_configContrato = @p_idConfigContrato and [id_documento.ot] = 0 
			end
			select ''ok'' as respuesta
		END
	')
END